    
    $(document).ready(function(){

        // Desktop Slider
        $('#desk-slider').owlCarousel({
            loop:true,
            items:1,
            nav:true,
            dots:false,
            autoplay:true
        })  
        $( "#desk-slider .owl-prev").html('<i class="icofont-rounded-left"></i>');
        $( "#desk-slider .owl-next").html('<i class="icofont-rounded-right"></i>');  

        // Blog Slider
        $('#blog-slider').owlCarousel({
            loop:true,
            margin:40,
            items: 3,
            nav:true,
            dots:false,
            responsive:{
                0:{
                    items:1,
                    nav:true
                },
                577:{
                    items:2,
                    nav:true
                },
                1000:{
                    items:3,
                    nav:true
                }
            }
        })  
        $( "#blog-slider .owl-prev").html('<i class="icofont-rounded-left"></i>');
        $( "#blog-slider .owl-next").html('<i class="icofont-rounded-right"></i>');  

        // Main/Product image slider for product page
        $('#product-detail .main-img-slider').slick({
          slidesToShow: 1,
          slidesToScroll: 1,
          infinite: true,
          arrows: true,
          fade:true,
          autoplay: true,
          autoplaySpeed: 100,
          cssEase: 'linear',
          autoplaySpeed: 4000,
          speed: 800,
          lazyLoad: 'ondemand',
          asNavFor: '.thumb-nav',
          prevArrow: '<div class="slick-prev"><i class="icofont-rounded-left"></i></div>',
          nextArrow: '<div class="slick-next"><i class="icofont-rounded-right"></i></div>'
        });
        // Thumbnail/alternates slider for product page
        $('.thumb-nav').slick({
          slidesToShow: 4,
          slidesToScroll: 1,
          infinite: true,
          centerPadding: '0px',
          asNavFor: '.main-img-slider',
          dots: false,
          centerMode: false,
          draggable: true,
          speed:800,
          focusOnSelect: true,
          prevArrow: '<div class="slick-prev"><i class="icofont-rounded-left"></i></div>',
          nextArrow: '<div class="slick-next"><i class="icofont-rounded-right"></i></div></div>'  
        });


        //keeps thumbnails active when changing main image, via mouse/touch drag/swipe
        $('.main-img-slider').on('afterChange', function(event, slick, currentSlide, nextSlide){
          //remove all active class
          $('.thumb-nav .slick-slide').removeClass('slick-current');
          //set active class for current slide
          $('.thumb-nav .slick-slide:not(.slick-cloned)').eq(currentSlide).addClass('slick-current');  
        });

        // main picture and thumbnails total height should be same as rectangle on the right ( Gift card and product detail page)
        $(window).resize(function(){
            if($(window).width()>767)
            {
                var leftsideblock  = $(".product-detail-slider").outerHeight();
                var rightsideblock = $(".product-details").outerHeight();
                
                if (leftsideblock > rightsideblock){
                    $(".product-details").css("height",$(".product-detail-slider").height());
                }
            }else{
                $(".product-details").css("height","");
            }
        })
        
       if($(window).width()>767)
            {
                var leftsideblock  = $(".product-detail-slider").outerHeight();
                var rightsideblock = $(".product-details").outerHeight();
                
                if (leftsideblock > rightsideblock){
                    $(".product-details").css("height",$(".product-detail-slider").height());
                }
        }else{
            $(".product-details").css("height","");
        }
        
        // Increment Decrement
        var incrementPlus;
        var incrementMinus;

        var buttonPlus  = $(".quantity__plus");
        var buttonMinus = $(".quantity__minus");

        var incrementPlus = buttonPlus.click(function() {
            var $n = $(this)
            .parent(".quantity")
            .find(".quantity__input");
            $n.val(Number($n.val())+1 );
        });

        var incrementMinus = buttonMinus.click(function() {
            var $n = $(this)
            .parent(".quantity")
            .find(".quantity__input");
            var amount = Number($n.val());
            if (amount > 0) {
                $n.val(amount-1);
            }
        });

        // Product Price Increase
        // $(".quantity__input").change(function() {
        //     var sum = 0;
        //     var total = 0;
        //     $('.cart-product-price').each(function () {
        //         var price = $(this);
        //         var count = price.closest('.cart_item').find('.quantity__input');
        //         sum = (price.html() * count.val());
        //         total = total + sum;
        //         price.closest('.cart_item').find('.cart-product-price').html("$" + sum);
        //     });
        //     $('#totalprice').html("$<span>" + total + "</span>");
        // }).change(); //trigger change event on page load

    
        // Category Select
        $(".shopby li").click(function(){
            $('.grid-product-bar').show();
            var activeID = $(this).attr('id');
            var subCategoryID = $(this).attr('data-id');
            
            if($(this).hasClass('active-category') == false){
                var categoryName = $(this).text();
                var newElement = "<li data-id='"+activeID+"' id='"+subCategoryID+"' class='actCat' style='display: none;'><div class='side-bar-data'><span>"+categoryName+"</span><button class='btn btn-cancel subCategoryRemove'><i class='icofont-close'></i></button></div></li>";
                $(".subCategoryBoard").append(newElement);
                $(".actCat").fadeIn('slow');
                $(this).addClass("active-category");
            }else{
                $(this).removeClass('active-category');   
                $("#"+subCategoryID).remove();
                if($(".subCategoryBoard li").length == 0){
                 $('.grid-product-bar').hide();
                }
            }
        });
        $(document).on("click",".subCategoryRemove",function(){ 
            var data_id = $(this).parents(".actCat").attr("data-id");
            console.log(data_id);
            $("#"+data_id).removeClass("active-category");
            $(this).parents(".actCat").remove();
            if($(".subCategoryBoard li").length == 0){
                $('.grid-product-bar').hide();
            }
        });

        // Select 2
        $('.select2').select2();

         // Scroll Smooth on click
        var $root = $('html, body');

        $('.leavecomment').click(function() {
            var href = $.attr(this, 'href');
            $root.animate({
                scrollTop: $(href).offset().top
            }, 1000, function () {
                window.location.hash = href;
            });
            return false;
        });

        // Cart product remove
        $("#tablecart").on('click','.remove-product',function(){
            $(this).closest('tr').remove();
        });

        // Gift card price change
        $(".gift-price #sortBy").change(function(){
            var price = $(this).val();
            $(".product-price span").text(price);
        });

        // Wishlist product remove
        $("#wishlist").on('click','.remove-wishlist',function(){
            $(this).closest('tr').remove();
        });
});




